<?php

//affectation des messages dans des constantes
Const Fin1 = "FIN 1 Cette application n'est pas faite pour les personnes de moins de 15 ans. Prenez contact avec votre médecin généraliste au moindre doute. En cas d'urgence, appelez le 15.";
Const Fin3 = "FIN 3 Votre situation peut relever d'un Covid-19. Demandez une téléconsultation ou un médecin généraliste ou une visite à domicile. Appelez le 15 si une gêne respiratoire ou des difficultés importantes pour vous alimenter ou boire apparaissent pendant plus de 24 heures. En attendant et pour casser les chaînes de transmission, nous vous conseillons de vous isoler et de respecter les gestes barrières pour protéger vos proches.";
Const Fin4 = "FIN 4Votre situation peut relever d'un Covid-19. Demandez une téléconsultation ou un médecin généraliste ou une visite à domicile. Si vous n'arrivez pas à obtenir de consultation, appelez le 15. En attendant et pour casser les chaînes de transmission, nous vous conseillons de vous isoler et de respecter les gestes barrières pour protéger vos proches.";
Const Fin5 = "FIN 5 Appelez le 15.";
Const Fin6 = "FIN 6 Votre situation peut relever d'un Covid-19. Demandez une téléconsultation ou un médecin généraliste ou une visite à domicile (SOS médecins, etc.) En attendant et pour casser les chaînes de transmission, nous vous conseillons de vous isoler et de respecter les gestes barrières pour protéger vos proches.";
Const Fin7 = "FIN 7 Votre situation peut relever d'un Covid-19. Demandez une téléconsultation ou un médecin généraliste. Au moindre doute, appelez le 15. En attendant et pour casser les chaînes de transmission, nous vous conseillons de vous isoler et de respecter les gestes barrières pour protéger vos proches.";
Const Fin8 = "FIN 8 Votre situation ne relève probablement pas du Covid-19. N'hésitez pas à contacter votre médecin en cas de doute. Vous pouvez refaire le test en cas de nouveau symptôme pour réévaluer la situation. Pour toute information concernant le Covid-19, composer le 0 800 ….";
Const Autre = "Pas de quoi s'inquiéter, reposez vous et allez voir votre médecin traitant si les symptomes persistent";
//ajout des deux nouveaux messages





//Test de validation de la saisie de tous les critères
If (!isset($_POST['age']) or !isset($_POST['fievre']) or !isset($_POST['imc']) or !isset($_POST['douleurs']) or !isset($_POST['toux']) or !isset($_POST['fatigue']) or !isset($_POST['gene_respi']) or !isset($_POST['diarrhee'])or !isset($_POST['anosmie']) or !isset($_POST['diabete']) or !isset($_POST['difficultes']) or !isset($_POST['vaccine']))
	{
		echo ("Saisie incomplète ! Merci de renseigner tous les critères.");
	}
Else
	{
		//Récupération des données du formulaire et affectation des variables
		$age = $_POST['age'];
		$fievre = $_POST['fievre'];
		$imc = $_POST['imc'];
		$douleurs = $_POST['douleurs'];
		$toux = $_POST['toux'];
		$fatigue = $_POST['fatigue'];
		$gene_respi = $_POST['gene_respi'];
		$diarrhee = $_POST['diarrhee'];
		$anosmie = $_POST['anosmie'];
		$diabete = $_POST['diabete'];
		$difficultes = $_POST['difficultes'];
		//récupération donnée du formulaire
		$vaccine = $_POST['vaccine'];
	
		
		//test age
        If ($age == "<15") 
		{
            echo Fin1;
		}
        Else
		{
			//ajout test vaccine
			If()
			{
				//test critères majeurs
				If($difficultes == "oui" or $gene_respi == "oui")
				{
					echo ;
				}
				Else if($fievre == "oui" or $fievre == ">=39°" or $fievre == "<35,5°" or $toux == "oui")
				{
					echo ;
				}
				Else if()
				{
					echo Fin10;
				}
				Else
				{
					echo ;
				}
			}
			Else 
			{
			
				//tests critères majeurs
				If ($difficultes == "oui" or $gene_respi == "oui")
				{
					echo Fin5;
				}
				Else
				{
					//tests si fievre et toux
					If(($fievre == "oui" or $fievre == ">=39°" or $fievre == "<35,5°") and $toux == "oui")
					{
						//si au moins un facteur pronostique
						If ($age == ">=65" or $diabete == "oui" or $imc == ">=30 kg/m²" or $gene_respi == "oui")
						{
							//si 1 facteur de gravité mineur
							If ($fatigue == "oui")
							{
								echo Fin7;
							}
							Else if($fatigue == "non")
							{
								echo Fin4;
							}
						}
						else
						{
							echo Fin6;
						}
					}
					else
					{
						//tests Si toux ET NON douleurs ET NON anosmie
						If($toux == "oui" and $douleurs == "non" and $anosmie == "non")
						{
							//si au moins un facteur pronostique
							if($age == ">=65" or $diabete == "oui" or $imc == ">=30 kg/m²" or $gene_respi == "oui")
							{
								echo Fin7;
							}
							else
							{
								echo Fin6;
							}
						}
						else
						{
							//test Si NON toux ET NON douleurs ET NON anosmie
							If($toux == "non" and $douleurs == "non" and $anosmie == "non")
							{
								echo Fin8;
							}
							else
							{
								echo Autre;
							}
						}
					}
				}
			}
		}
	}

?>